%global shortcommit ece2f41
%global checkout 20160313git%{shortcommit}

Name:           HeeksCNC
Version:        1.0.0
Release:        4.%{checkout}%{?dist}
Summary:        CAM add-on for HeeksCAD
Group:          Applications/Engineering
License:        BSD
URL:            https://github.com/Heeks/heekscnc
# git archive --prefix=HeeksCNC-1.0.0/ HEAD | xz > HeeksCNC-1.0.0.tar.xz
Source0:        %{name}-%{version}.tar.xz
Patch0:         0001-add-usr-include-heekscad-to-SEARCH_PATHS-for-HeeksCA.patch
Patch1:         0002-remove-executable-bit-from-source-files.patch

BuildRequires:  cmake
BuildRequires:  HeeksCAD-devel
BuildRequires:  wxGTK-devel
BuildRequires:  OCE-devel

Requires: python
Requires: libarea-python

%description
Written in C++, HeeksCNC is an add-on for HeeksCAD. The user can add machining 
operations. These can then be output to NC code. The NC code is then shown as 
red and green lines on the screen. The NC code is generated using Python 
script, so it can be configured for different machines.

HeeksCNC uses OpenCAMLib for the "Zig Zag" operation HeeksCNC uses libarea for 
the "Pocket" operation 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{cmake} -DHeeksCadDir=%{_includedir}/HeeksCAD/ .
make %{?_smp_mflags} CFLAGS="%{optflags}"


%install
make install DESTDIR=%{buildroot}
#rm -f %{buildroot}/usr/lib/heekscnc/nc/iso_codes.py

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc COPYING README.Unix
%{_datadir}/heekscnc
/usr/lib/heekscnc
/usr/lib/libheekscnc*


%changelog
* Tue Jul 26 2016 Richard Marko <rmarko@fedoraproject.org> - 1.0.0-4.20160313gitece2f41
- Add missing libarea-python runtime dep

* Thu May 26 2016 Richard Marko <rmarko@fedoraproject.org> - 1.0.0-3.20160313gitece2f41
- Add OCE builddep

* Thu May 26 2016 Richard Marko <rmarko@fedoraproject.org> - 1.0.0-2.20160313gitece2f41
- Add wxGTK builddep

* Thu May 26 2016 Richard Marko <rmarko@fedoraproject.org> - 1.0.0-1.20160313gitece2f41
- Take #2

* Mon Dec 19 2011 Chris Spike <spike@fedoraproject.org> 0.18.0-0.1.20111215git27294ff
- Initial version of the package
